<?php
/*
 * Copyright 2014 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */

namespace Google\Service\MyBusinessLodging;

class WasteReduction extends \Google\Model
{
  public $compostableFoodContainersAndCutlery;
  public $compostableFoodContainersAndCutleryException;
  public $compostsExcessFood;
  public $compostsExcessFoodException;
  public $donatesExcessFood;
  public $donatesExcessFoodException;
  public $foodWasteReductionProgram;
  public $foodWasteReductionProgramException;
  public $noSingleUsePlasticStraws;
  public $noSingleUsePlasticStrawsException;
  public $noSingleUsePlasticWaterBottles;
  public $noSingleUsePlasticWaterBottlesException;
  public $noStyrofoamFoodContainers;
  public $noStyrofoamFoodContainersException;
  public $recyclingProgram;
  public $recyclingProgramException;
  public $refillableToiletryContainers;
  public $refillableToiletryContainersException;
  public $safelyDisposesBatteries;
  public $safelyDisposesBatteriesException;
  public $safelyDisposesElectronics;
  public $safelyDisposesElectronicsException;
  public $safelyDisposesLightbulbs;
  public $safelyDisposesLightbulbsException;
  public $safelyHandlesHazardousSubstances;
  public $safelyHandlesHazardousSubstancesException;
  public $soapDonationProgram;
  public $soapDonationProgramException;
  public $toiletryDonationProgram;
  public $toiletryDonationProgramException;
  public $waterBottleFillingStations;
  public $waterBottleFillingStationsException;

  public function setCompostableFoodContainersAndCutlery($compostableFoodContainersAndCutlery)
  {
    $this->compostableFoodContainersAndCutlery = $compostableFoodContainersAndCutlery;
  }
  public function getCompostableFoodContainersAndCutlery()
  {
    return $this->compostableFoodContainersAndCutlery;
  }
  public function setCompostableFoodContainersAndCutleryException($compostableFoodContainersAndCutleryException)
  {
    $this->compostableFoodContainersAndCutleryException = $compostableFoodContainersAndCutleryException;
  }
  public function getCompostableFoodContainersAndCutleryException()
  {
    return $this->compostableFoodContainersAndCutleryException;
  }
  public function setCompostsExcessFood($compostsExcessFood)
  {
    $this->compostsExcessFood = $compostsExcessFood;
  }
  public function getCompostsExcessFood()
  {
    return $this->compostsExcessFood;
  }
  public function setCompostsExcessFoodException($compostsExcessFoodException)
  {
    $this->compostsExcessFoodException = $compostsExcessFoodException;
  }
  public function getCompostsExcessFoodException()
  {
    return $this->compostsExcessFoodException;
  }
  public function setDonatesExcessFood($donatesExcessFood)
  {
    $this->donatesExcessFood = $donatesExcessFood;
  }
  public function getDonatesExcessFood()
  {
    return $this->donatesExcessFood;
  }
  public function setDonatesExcessFoodException($donatesExcessFoodException)
  {
    $this->donatesExcessFoodException = $donatesExcessFoodException;
  }
  public function getDonatesExcessFoodException()
  {
    return $this->donatesExcessFoodException;
  }
  public function setFoodWasteReductionProgram($foodWasteReductionProgram)
  {
    $this->foodWasteReductionProgram = $foodWasteReductionProgram;
  }
  public function getFoodWasteReductionProgram()
  {
    return $this->foodWasteReductionProgram;
  }
  public function setFoodWasteReductionProgramException($foodWasteReductionProgramException)
  {
    $this->foodWasteReductionProgramException = $foodWasteReductionProgramException;
  }
  public function getFoodWasteReductionProgramException()
  {
    return $this->foodWasteReductionProgramException;
  }
  public function setNoSingleUsePlasticStraws($noSingleUsePlasticStraws)
  {
    $this->noSingleUsePlasticStraws = $noSingleUsePlasticStraws;
  }
  public function getNoSingleUsePlasticStraws()
  {
    return $this->noSingleUsePlasticStraws;
  }
  public function setNoSingleUsePlasticStrawsException($noSingleUsePlasticStrawsException)
  {
    $this->noSingleUsePlasticStrawsException = $noSingleUsePlasticStrawsException;
  }
  public function getNoSingleUsePlasticStrawsException()
  {
    return $this->noSingleUsePlasticStrawsException;
  }
  public function setNoSingleUsePlasticWaterBottles($noSingleUsePlasticWaterBottles)
  {
    $this->noSingleUsePlasticWaterBottles = $noSingleUsePlasticWaterBottles;
  }
  public function getNoSingleUsePlasticWaterBottles()
  {
    return $this->noSingleUsePlasticWaterBottles;
  }
  public function setNoSingleUsePlasticWaterBottlesException($noSingleUsePlasticWaterBottlesException)
  {
    $this->noSingleUsePlasticWaterBottlesException = $noSingleUsePlasticWaterBottlesException;
  }
  public function getNoSingleUsePlasticWaterBottlesException()
  {
    return $this->noSingleUsePlasticWaterBottlesException;
  }
  public function setNoStyrofoamFoodContainers($noStyrofoamFoodContainers)
  {
    $this->noStyrofoamFoodContainers = $noStyrofoamFoodContainers;
  }
  public function getNoStyrofoamFoodContainers()
  {
    return $this->noStyrofoamFoodContainers;
  }
  public function setNoStyrofoamFoodContainersException($noStyrofoamFoodContainersException)
  {
    $this->noStyrofoamFoodContainersException = $noStyrofoamFoodContainersException;
  }
  public function getNoStyrofoamFoodContainersException()
  {
    return $this->noStyrofoamFoodContainersException;
  }
  public function setRecyclingProgram($recyclingProgram)
  {
    $this->recyclingProgram = $recyclingProgram;
  }
  public function getRecyclingProgram()
  {
    return $this->recyclingProgram;
  }
  public function setRecyclingProgramException($recyclingProgramException)
  {
    $this->recyclingProgramException = $recyclingProgramException;
  }
  public function getRecyclingProgramException()
  {
    return $this->recyclingProgramException;
  }
  public function setRefillableToiletryContainers($refillableToiletryContainers)
  {
    $this->refillableToiletryContainers = $refillableToiletryContainers;
  }
  public function getRefillableToiletryContainers()
  {
    return $this->refillableToiletryContainers;
  }
  public function setRefillableToiletryContainersException($refillableToiletryContainersException)
  {
    $this->refillableToiletryContainersException = $refillableToiletryContainersException;
  }
  public function getRefillableToiletryContainersException()
  {
    return $this->refillableToiletryContainersException;
  }
  public function setSafelyDisposesBatteries($safelyDisposesBatteries)
  {
    $this->safelyDisposesBatteries = $safelyDisposesBatteries;
  }
  public function getSafelyDisposesBatteries()
  {
    return $this->safelyDisposesBatteries;
  }
  public function setSafelyDisposesBatteriesException($safelyDisposesBatteriesException)
  {
    $this->safelyDisposesBatteriesException = $safelyDisposesBatteriesException;
  }
  public function getSafelyDisposesBatteriesException()
  {
    return $this->safelyDisposesBatteriesException;
  }
  public function setSafelyDisposesElectronics($safelyDisposesElectronics)
  {
    $this->safelyDisposesElectronics = $safelyDisposesElectronics;
  }
  public function getSafelyDisposesElectronics()
  {
    return $this->safelyDisposesElectronics;
  }
  public function setSafelyDisposesElectronicsException($safelyDisposesElectronicsException)
  {
    $this->safelyDisposesElectronicsException = $safelyDisposesElectronicsException;
  }
  public function getSafelyDisposesElectronicsException()
  {
    return $this->safelyDisposesElectronicsException;
  }
  public function setSafelyDisposesLightbulbs($safelyDisposesLightbulbs)
  {
    $this->safelyDisposesLightbulbs = $safelyDisposesLightbulbs;
  }
  public function getSafelyDisposesLightbulbs()
  {
    return $this->safelyDisposesLightbulbs;
  }
  public function setSafelyDisposesLightbulbsException($safelyDisposesLightbulbsException)
  {
    $this->safelyDisposesLightbulbsException = $safelyDisposesLightbulbsException;
  }
  public function getSafelyDisposesLightbulbsException()
  {
    return $this->safelyDisposesLightbulbsException;
  }
  public function setSafelyHandlesHazardousSubstances($safelyHandlesHazardousSubstances)
  {
    $this->safelyHandlesHazardousSubstances = $safelyHandlesHazardousSubstances;
  }
  public function getSafelyHandlesHazardousSubstances()
  {
    return $this->safelyHandlesHazardousSubstances;
  }
  public function setSafelyHandlesHazardousSubstancesException($safelyHandlesHazardousSubstancesException)
  {
    $this->safelyHandlesHazardousSubstancesException = $safelyHandlesHazardousSubstancesException;
  }
  public function getSafelyHandlesHazardousSubstancesException()
  {
    return $this->safelyHandlesHazardousSubstancesException;
  }
  public function setSoapDonationProgram($soapDonationProgram)
  {
    $this->soapDonationProgram = $soapDonationProgram;
  }
  public function getSoapDonationProgram()
  {
    return $this->soapDonationProgram;
  }
  public function setSoapDonationProgramException($soapDonationProgramException)
  {
    $this->soapDonationProgramException = $soapDonationProgramException;
  }
  public function getSoapDonationProgramException()
  {
    return $this->soapDonationProgramException;
  }
  public function setToiletryDonationProgram($toiletryDonationProgram)
  {
    $this->toiletryDonationProgram = $toiletryDonationProgram;
  }
  public function getToiletryDonationProgram()
  {
    return $this->toiletryDonationProgram;
  }
  public function setToiletryDonationProgramException($toiletryDonationProgramException)
  {
    $this->toiletryDonationProgramException = $toiletryDonationProgramException;
  }
  public function getToiletryDonationProgramException()
  {
    return $this->toiletryDonationProgramException;
  }
  public function setWaterBottleFillingStations($waterBottleFillingStations)
  {
    $this->waterBottleFillingStations = $waterBottleFillingStations;
  }
  public function getWaterBottleFillingStations()
  {
    return $this->waterBottleFillingStations;
  }
  public function setWaterBottleFillingStationsException($waterBottleFillingStationsException)
  {
    $this->waterBottleFillingStationsException = $waterBottleFillingStationsException;
  }
  public function getWaterBottleFillingStationsException()
  {
    return $this->waterBottleFillingStationsException;
  }
}

// Adding a class alias for backwards compatibility with the previous class name.
class_alias(WasteReduction::class, 'Google_Service_MyBusinessLodging_WasteReduction');
